Connections
Connected networks, website and analytics.
On this page
Updated on January 1, 1970
Privacy and analytics
We use necessary technical cookies and, only with your consent, analytics and marketing pixels to improve the website and measure campaigns.
Connected networks, website and analytics.
Updated on January 1, 1970
Brand integrations (social networks, website, analytics) with their status, plus the providers available to connect.
| Field | Value |
|---|---|
| Kind | Read |
| HTTP method | POST /api/v1/connections.list |
| MCP tool | connections_list |
| Scope | connections.read |
| Minimum role | Admin |
| Human confirmation | No |
| Doors | Nödo, Voice, MCP, API |
| Status | Planned |
| Widget | list |
Input
{
includeCatalog?: boolean // default false
}Output
{
items: Array<{
id: string // uuid
provider: string // Provider key, e.g. instagram, wordpress, google_analytics.
account: string | null
status: "connected" | "needs_attention" | "disconnected" | "pending_setup"
connectedAt: string | null
}>
catalog?: Array<{
provider: string
name: string
available: boolean
}>
}Returns the provider authorization link for a person to open. Credentials are never requested or accepted in the conversation.
| Field | Value |
|---|---|
| Kind | Write |
| HTTP method | POST /api/v1/connections.connect |
| MCP tool | connections_connect |
| Scope | connections.write |
| Minimum role | Admin |
| Human confirmation | No |
| Doors | Nödo, MCP, API |
| Status | Planned |
| Widget | action_link |
Input
{
provider: string // ≤ 60
}Output
{
authorizationUrl: string // uri
expiresAt: string
}Disconnects one integration and revokes its grant. Scheduled posts on that account stop publishing.
| Field | Value |
|---|---|
| Kind | Write |
| HTTP method | POST /api/v1/connections.disconnect |
| MCP tool | connections_disconnect |
| Scope | connections.write |
| Minimum role | Admin |
| Human confirmation | Yes |
| Doors | Nödo, MCP, API |
| Status | Planned |
| Widget | confirm |
Input
{
connectionId: string // uuid
}Output
{
ok: true
id?: string
revision?: integer // -9007199254740991–9007199254740991
}